> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /report/insight/diagnostics/:uid

> Returns a list of live checks and up-to-date metrics, to give insight for the here and now



## OpenAPI

````yaml /openapi.json get /v1/report/insight/diagnostics/{uid}
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/report/insight/diagnostics/{uid}:
    get:
      tags:
        - Reporting/Insights Hub/Diagnostics
        - public
      summary: /report/insight/diagnostics/:uid
      description: >-
        Returns a list of live checks and up-to-date metrics, to give insight
        for the here and now
      parameters:
        - name: uid
          in: path
          description: ''
          required: true
          example: 0
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: object
                    properties:
                      cmp_error_rate:
                        type: number
                      cmp_rejection_rate:
                        type: number
                      heavy_ad_intervention:
                        type: number
                      mobile_ad_density:
                        type: number
                      tag_latency:
                        type: number
                      tag_error_rate:
                        type: number
                      viewability:
                        type: number
                      cmp_stub_status:
                        type: string
                      direct:
                        type: number
                      expired_integrations:
                        type: string
                      ads_txt_issues:
                        type: integer
                      traffic_trend:
                        type: string
                    required:
                      - cmp_error_rate
                      - cmp_rejection_rate
                      - heavy_ad_intervention
                      - mobile_ad_density
                      - tag_latency
                      - tag_error_rate
                      - viewability
                      - cmp_stub_status
                      - direct
                      - expired_integrations
                      - ads_txt_issues
                      - traffic_trend
                  success:
                    type: boolean
                required:
                  - results
                  - success
              example:
                results:
                  cmp_error_rate: 0.000012248597535582175
                  cmp_rejection_rate: 0.0007226761063681238
                  heavy_ad_intervention: 0.008883808374338501
                  mobile_ad_density: 0.057
                  tag_latency: 2541.999829099
                  tag_error_rate: 0.014790873642187355
                  viewability: 0.5244113080657661
                  cmp_stub_status: Found
                  direct: 0.692101487343152
                  expired_integrations: null
                  ads_txt_issues: 2
                  traffic_trend: In decline
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````